/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfigurePurgeTaskDelegate.as 5913 2010-01-14 09:20:09Z fornacif $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.datamanagement.business
{
    import com.adobe.cairngorm.business.ServiceLocator;
    
    import mx.collections.ArrayCollection;
    
    import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;
    import org.ow2.jasmine.monitoring.eos.datamanagement.vo.PurgeTaskVO;
    
    /**
     * @author Guillaume Renault
     */
    public class ConfigurePurgeTaskDelegate extends AbsDelegateResponder implements IConfigurePurgeTaskDelegate
    {
        
        public function configurePurgeTask(purgeTask:PurgeTaskVO) : void {
            // find service
            var service:Object = ServiceLocator.getInstance().getRemoteObject("datamanagementService");
            
            // call service
            var call:Object = service.configurePurgeTask(purgeTask);
            
            // add responder
            call.addResponder(this.responder);
        }	
        
    }
    
}
